/* Styles for mobile devices */
@media screen and (max-width: 768px) {
    .columns {
        gap: normal;
        flex-direction: column;
    }

    .col2 {
        width: 100% !important;
    }

    .text-list {
        display: none;
        margin-bottom: 30px;
    }

    .tooltip p {
        overflow-y: scroll;
    }

    .tooltip {
        position: fixed;
        top: auto;
        left: 0;
        bottom: 0;
        width: 100%;
        max-height: 100vh;
        overflow-y: scroll;
    }

    .info-venue.hover::after {
        content: '';
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background-color: rgba(24, 24, 22, 0.9);
        z-index: 999; /* Ensure it appears behind the tooltip but above other elements */
        pointer-events: none;
    }

    .tooltip .tooltip-close-button {
        display: flex;
        justify-content: center;
        height: 32px;
        margin: auto 120px auto 119px;
        padding: 7px 24px;
        object-fit: contain;
        border-radius: 4px;
        border: solid 1px #d2d6d9;
        background-color: #fff;
        font-size: 10px;
        font-weight: bold;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.8;
        letter-spacing: normal;
        text-align: center;
        color: #1e3140;
    }

    .tooltip .tooltip-close-icon {
        width: 24px;
        height: 24px;
        display: flex;
        position: absolute;
        right: 5px;
        top: 5px;
        background: url("../img/icons/close.svg") no-repeat center;
    }

    .tooltip .tooltip-close-icon:hover {
        cursor: pointer;
        background: url("../img/icons/close-hover.svg") no-repeat center;
    }

    .tooltip strong {
        width: calc(100% - 30px);
        margin-bottom: 16px;
    }

    .col2 .data-block {
        background-color: #1e3140;
        margin-bottom: 0px;
        padding-bottom: 75px;
    }

    .col2 .data-block .line {
        height: 1px;
        margin: 0 0 20px 0.5px;
        opacity: 0.3;
        border: solid 0.5px #fff;
    }

    .init-prices-block .price {
        color: #ffffff;
    }

    .data-block {
        margin-bottom: 20px;
        padding: 31px 0 0 16px;
    }

    .package-header, .price-line.total, .col2 .price-line, .col2 .price-line.secondary-price .price, .advance-payment {
        color: #ffffff;
    }

    .price-line.discount {
        color: #75ad4c;
    }

    .remove-venue-name {
        display: inline-flex;
        background: url("../img/icons/close-mobile.svg") no-repeat center;
    }
    .remove-venue-name.rvn {
        background: url("../img/icons/added.svg") no-repeat center;
        opacity: 0.5;
    }

    .request_event_link {
        background-color: #fff;
        background-image: none;
        text-shadow: none;
        display: flex;
        width: calc(100% - 40px);
        z-index: 999;
        font-size: 14px;
        font-weight: 600;
        font-stretch: normal;
        font-style: normal;
        line-height: normal;
        letter-spacing: 2px;
        color: #1e3140;
        justify-content: center;
        position: relative;
        bottom: 109px;
    }

    footer {
        display: none;
    }

    .interline {
        width: 91%;
        height: 1px;
        margin: 3px 33px 33px 3px;
        opacity: 0.15;
        background-color: #1e3140;
    }

    .package-header {
        text-align: center;
    }
}